如何在Mac上使用电子DNI或DNIe

如何在Mac上使用dnie 现在三年前,我更新了身份证。 我有旧版本,我想我记得是一个蓝色背景的大文件,而最小的文件对我来说似乎有点“现代”,当我看到新DNI的芯片时,我想:“这是为了什么? ?»。 嗯,它是DNIe的芯片,众所周知,例如,通过“电子邮件”中的“ e”,“ e”通常表示“电子”。 但是,这是为了什么呢? 你如何使用 的DNIe 在Mac上?

DNIe是用于执行一些操作的文档 上网程序, 例如。 这就像在网上进行银行交易一样,但是从逻辑上讲,它具有更高的安全性。 在几乎每个人都使用Windows的计算机世界中,要使其在Mac上运行可能并不那么容易,这就是我们决定编写此小指南的原因。 接下来,我们将告诉您在Mac上使用DNIe所需要了解的所有知识,而不会死于尝试。

在开始本教程之前,您应该知道您将需要一个电子ID读取器来完成整个过程。 如果您还没有,则可以从下面的列表中找到最佳质量价格模型,以便在Mac上使用您的电子ID。如果您已经有了,则我们将逐步进行此过程。

在哪里下载DNIe证书

如何在Mac上使用dnie

在进行任何新的安装(当然,没有更新)之前,有必要确保我们没有任何新安装。 可能的先前安装的其余部分。 如果我们确定从未使用过它,则可以直接进行新驱动程序的安装。 如果没有,我们将通过执行以下操作删除所有跟踪:

  1. 我们打开终端。 在文件夹中 应用/实用程序,从Dock中的启动板或从Spotlight中搜索。
  2. 我们写 dsenableroot 激活超级用户。
  3. 它将要求我们提供用户密码。 我们介绍它。
  4. 它还会要求我们提供root密码。 我们介绍了我们想要的一种,但是值得记住的是,以防万一我们想再次做这样的事情。
  5. 我们转到/库并删除Libpkcs11-dnie文件夹
  6. 我们打开一个终端并输入以下内容:
  7. sudo rm / var / db /收据/ * dni *
  8. 现在,我们使用命令dsenableroot –d停用根帐户。
  9. 现在我们拥有了所有干净的东西,我们只需要去 这一页,下载并安装文件。

如何在Mac上使用电子DNI

安装完文件后,只需双击.pkg文件并按照说明(包括输入我们的用户密码)进行安装即可,我们继续 在Mac上配置和使用DNIe。 我们将按照以下步骤进行操作:

  1. 我们要做的第一件事是,如果没有安装,请转到 Mozilla页面,下载并安装Firefox Web浏览器。 从历史上看,Safari不能与许多网页相处得很好,在这种类型的证书中也会发生这种情况,它不适用于OS X的默认浏览器。无论如何,总是值得拥有第二个Web浏览器,对于可能发生的情况,对我来说,Firefox是Mac的第二好的选择。
  2. 下一步是在Firefox中安装证书。 为此,我们打开Firefox,我们将 首选项/高级/证书 然后单击 安全装置. 如何在Mac上使用dnie
  3. 我们点击 负荷.
  4. 我们给模块起一个名字(例如DNIe PKCS 11模块)。
  5. 我们手动指出以下模块的路径:Library / Libpkcs11-dnie / lib / libpkcs11-dnie.so
  6. 我们点击接受。

如何在Mac上使用dnie

  1. 要安装根证书,我们将 首选项/高级/证明书/查看证书/权威.
  2. 我们选择导入。 如何在Mac上使用dnie
  1. 我们导航到将在其中的证书的路径 /图书馆/ Libpkcs11-dnie。 就我而言,它直接位于该文件夹中。 如果不存在,我们将在同一路径下的“共享”文件夹中查找它。
    如何在Mac上使用dnie
  2. 我们标记了三个方框。
  3. 最后,我们单击确定。
    如何在Mac上使用dnie

它是可选的,但建议使用, 重启你的电脑 以免遇到任何意想不到的问题。 重新启动后,一切都应正常工作。 在Mac启动之前不连接DNIe阅读器也将很有趣。

检查是否一切正常 正确地,您可以访问 此页面由同一位国家警察提供 。 如果页面未加载,则说明我们已完成或出错。 例如,可能没有插入卡。 在这种情况下,最好的方法是再次卸下电子DNI阅读器的USB并将其放入,检查是否有卡,然后再次重新启动。 如果我们没有发现错误,那么从头开始可能是个好主意,但是这次需要所有步骤,包括删除驱动程序和证书的先前版本。

必须记住的是 证书仅有效期30天。 在那之后,有必要再次下载并安装证书。

适用于Mac的DNI电子阅读器

如果我们不具备上述条件,上述所有内容将无济于事。 电子身份证阅读器。 与我们需要外部读取器以能够在iMac中读取SD卡的方式相同,我们还需要购买电子ID读取器。

哪个读者值得购买? 嗯,这是一百万美元的问题。 有很多选择,其中许多将为我们提供完美的服务,但我们也可以在网上找到不值得的东西。 我通常想买东西时要做的是 在看 亚马逊,对我来说,这是目前最好的在线商店。 此外,尽管确实可以购买或欺诈某些评论,但亚马逊试图阻止这些评论出现在其网站上,因此我们阅读的大多数评论都是真实的。

CoolBox-reader-dnie

一个不错的选择,实际上是亚马逊上这种阅读器的第一销售商。 Woxter电子DNI 但是,哇! 它适用于Windows和Linux。 的 酷派CRCOOCRE065 它的评级更高,可以在Mac上使用,但请务必确保它在Mac上可用。

QUE 您已经知道如何在Mac上使用电子DNI吗?


本文内容遵循我们的原则 编辑伦理。 要报告错误,请单击 信息.

43条评论,留下您的评论

发表您的评论

您的电子邮件地址将不会被发表。 必填字段标有 *

*

*

  1. 负责数据:MiguelÁngelGatón
  2. 数据用途:控制垃圾邮件,注释管理。
  3. 合法性:您的同意
  4. 数据通讯:除非有法律义务,否则不会将数据传达给第三方。
  5. 数据存储:Occentus Networks(EU)托管的数据库
  6. 权利:您可以随时限制,恢复和删除您的信息。

  1.   米格尔

    非常感谢您的教程,非常有用且易于实现

  2.   Amstrad用户

    教程做得很好。 但是……有人使用电子DNI吗?

    1.    美媒

      你怎么能知道你不住在国外😉

  3.   天使

    谢谢,我已经尝试安装很长时间了,没有办法。 我总是把它放在窗户里,却错过了。 当然,这至少对我来说非常有用。

  4.   塞尔吉奥·马托斯·桑切斯

    嗨,我的终端出现问题,因为它无法识别我的root密码,我想我必须已经有一个,并且我不记得了。 有可能知道吗?
    谢谢

    1.    埃杜

      测试根或目标

  5.   Ricardo

    您好,安装程序告诉我发生了问题,而不仅仅是安装了

  6.   Ricardo

    您好,我能够安装该程序,它给我一个错误,并且安装没有完成。

  7.   泽维尔

    我已经升级到macOS Sierra,尝试安装.pkg文件给我一个错误。 我想我们必须等待Sierra软件包更新?

  8.   射频

    我也是这样使用Sierra,我的DNIe已停止工作

  9.   射频

    在Mac上使用DNIe是一种折磨。 多亏在Soydemac中发布了教程,我才得以实现:但是,我对使用新的OS Sierra感到满意。 拥有数字签名对我的工作至关重要,无论是FNMT证书还是DNIe,这一切都会使我失望。 我正在考虑购买Windows PC(甚至使用Explorer,这显然是FNMT和DNIe公认的唯一东西)。 仅使用Mac的25年后,我发现它不好喝,这肯定是我的鱼缸里的笑话。 任何人都可以合理预期DNIe可以在更新的Mac上运行吗? (或证书:相同:我几乎喜欢它。在投射时,速度更快)

    1.    MAG

      在Mac上安装Windows并通过新手训练营使用Windows或使用VMWare创建虚拟机难道不是更容易,更便宜吗? 无论如何,我同意你的看法,在Mac上使用DNIe是一种折磨,但问题出在政府无用。 我很早以前就已经实现了,但是现在我需要再次使用它,而且没有办法。 我不知道是否是因为我使用的是macOS beta版,谁知道呢。 过去我没有问题的是从FNMT下载并通过Firefox使用的证书,尽管它们已经迫使您使用该浏览器,而不是Safari。

  10.   哈维尔

    塞拉利昂不可能

  11.   腹腔

    它不会让我添加Library / Libpkcs11-dnie / lib / libpkcs11-dnie.so模块

  12.   pedrazaja天使

    我无法使用Sierra做到这一点,我需要它。 有人能够安装吗?

  13.   EstíbalizIvars Miralles

    您必须要熟练掌握才能安装阅读器,但无法获取它

  14.   帕科

    塞拉利昂不可能...没有办法

    1.    泽维尔

      解决了! 为了安装.pkj软件包,您必须在Mac上安装Firefox,如果未安装Firefox,则在安装.pkj时会出现错误。 安装软件包后,将显示配置Firefox以使其与电子ID结合使用的步骤。 看来这是唯一在Mac上可与DNI一起使用的浏览器

      1.    苏珊娜

        嗨哈维尔:

        当配置Firefox使其能够与DNIe一起使用时,您能否指出要执行的步骤?

        我已经下载了Firefox,并且在安装pkg文件时出现了错误。

        非常感谢你!
        苏珊娜

  15.   拉蒙·马丁内斯·德·贝拉斯科

    您好:一切都已安装且正常运行,但是您说:«请记住,证书仅在30天内有效。 在那之后,有必要再次下载并安装证书。 哪里有东西可以重新下载并安装? 您能给我一个页面链接而不是直接下载链接吗? 提前非常感谢您。 问候。

  16.   拉蒙·马丁内斯·德·贝拉斯科

    @Pablo Aparicio:能否请您回答我的评论? 提前非常感谢您。 问候。

    1.    义安

      你好! 有人可以帮我吗? 我已经按照所有步骤操作,但是当我进入您的社会保障网站时,它告诉我没有安装证书...

  17.   法比奥拉

    尝试加载模块文件时出现错误?

    非常感谢您所做的所有工作

  18.   大卫

    下午好,让我们看看您是否可以帮助我,当我安装libpkcs11-dnie.so文件时,它告诉我“警告,无法添加模块”。 你知道该怎么办吗?

    非常感谢。

  19.   伊莎贝尔

    我有与David完全相同的问题,尝试加载模块时出现了相同的错误消息:“警告,无法添加模块”

  20.   西尔

    嗨,您好!! 我认为PKG给出的错误是因为未安装Firefox,它给了我同样的错误! 试试吧 !!!

  21.   祖鲁佩托

    我下载了先前的模块,然后让我再说一次,清理安装并再次开始整个过程​​,但是我无法读取DNIe。

    具有Sierra OS的MacBook Pro

  22.   西尔

    我不知道我已按照所有步骤安装,删除并重新安装了多少次,在OSX HIGH SIERRA中,我几乎是内心地知道它! 但是当我尝试访问税务机构时,它给我一个错误403,这是绝望的……。 无法访问Dnie…。 但是例如,当firefox要求我访问证书时,它可以毫无问题地进入…。 保罗!!! 你知道会发生什么吗?

    有人知道在哪里安装(显然是我在前面)

  23.   何塞

    我已经按照步骤操作,对我来说不起作用,加载模块时出现错误。 解决方案是使用新的PKCS#11模块登录。 遵循的步骤:打开mozilla>偏好设置>隐私和安全性>安全设备>选择NEW PKCS @ 11 MODULE>单击“开始会话”>它将要求身份证>接受。 然后,您必须完全关闭mozilla>命令+ Q,然后重新打开mozilla。 到那时,它已经可以识别模块并允许您使用DNIe。

    1.    拉蒙

      你好,

      只是这件事发生在我身上:它告诉我它无法加载DNIE-PKCS#11模块,然后我将其下载(在Firefox首选项中将其删除)并重新加载,但是“启动”按钮处于不活动状态。

      如果我在规格中选择读取器(DNIE-PKCS#11模块下的“ Generic Smart card ...”),则显示“ No present”(不存在),因此我会卡在这里。

      我的阅读器具有经典的USB连接,但是带OS Catalina操作系统的MacBook Pro具有最小的USB插槽(我不记得名字的椭圆形插头),但它确实能够识别阅读器(Ewent 1052),因为»它完美地存在。

      另一件事:一个月后到期的证书是“ ac_raiz_dnie.crt”吗? 安装“ libpkcs11-dnie-1.3.1_OSX-10.10_10.11.dmg”时是否下载了此证书? 因此,每隔一段时间想使用DNI-E时,都必须清理“首选项”并重新安装所有内容?

      我将感谢您的帮助。 我不知道论坛是否还活着。 如果有人经过我可以澄清我的疑问,我会留下我的电子邮件。

      谢谢。

      拉蒙·T。
      ramontriba@gmail.com

  24.   西蒙

    没有办法找到这个:
    我们导航到/ Library / Libpkcs11-dnie中的证书路径。 就我而言,它直接位于该文件夹中。 如果不存在,我们将在同一路径下的“共享”文件夹中查找它。

  25.   曼努埃尔·坎特利·罗德里格斯

    真是可惜,但是.....最终,回到了Windows,成为当今我们如此必要的东西,例如使用DNI证书。 没有人意识到有些用户不是程序员,而我们更习惯于一个要求我们填写某些字段的程序,最终它会安装所需的程序吗? 与试图使电子ID正常工作相比,安装整个Adobe软件包要容易得多。
    最后,我要做的就是请儿子让我使用他的PC。

  26.   玛丽·克鲁兹

    我发生了同样的事情:警报无法添加模块。 在.Mac中使用这笔钱看起来是不可能的。

  27.   奥雷利奥

    由于安装了Catalina...。 无法使用DNIe。

  28.   曼努埃尔

    我升级到Catalina操作系统,不得不重新安装所有内容。
    谢谢你的教程

  29.   耶稣G.

    很多注意事项:关于FIREFOX,看来从今天(2020年68月)开始,仅FIREFOX XNUMX版本有效。
    更高版本的证书无效,因为它们没有包含必要的安全性选项来正确安装证书。

    在Mac的系统要求中的FNMT页面上指出了这一点。

  30.  

    我无法安装……。
    我得到两个编辑信任的框,而不是三个…。
    没有办法…。
    救命

  31.   妻子

    谢谢,您救了我!

    1.    奥斯卡

      您好,我从一开始就进行了此过程,就像Pablo所说的那样,删除了所有文件夹痕迹。 一切都与Catalina和bit4u DNIe阅读器完美配合。 自签名,好的。 使用Adobe和DNIe对PDF进行数字签名,好的。
      谢谢!

  32.   丘拉科@

    Mozilla Firefox路由在此处和西班牙语管理不善页面上均已过时

  33.   匿名

    它不适用于MacOS Big Sur。

  34.   何塞

    不错。

    我正在尝试将其安装在带有Mojave的Mac上(警察页面1.5.0和1.5.1上有两个版本,我正在尝试安装1.5.1)。 它似乎安装没有错误。 安装结束时,它将打开Firefox选项卡,其中包含“如何在Mac上使用电子ID”中指示的说明。

    但是,当我加载模块并在库中按照步骤进行查找时,没有任何内容,也没有文件夹“ Libpkcs11-dnie”。 因此,我无法执行Firefox告诉我的步骤。

    这是否发生在其他人身上,如何解决?

    另一个听起来很荒谬的问题是,在安装过程中是否需要将阅读器连接到USB并将DNIe插入阅读器中? 这可能与上面有关。

    我非常急于解决此问题,以提交文件,而警方的技术支持对我没有帮助。

    非常感谢

  35.   亚历杭德拉

    如果我安装了FNMT证书,是否还必须先将其删除? 还是没有必要? 就是在我拥有NIE和FNMT证书来执行程序之前,但现在我具有DNIe了,我想安装它。 显然,技术不是我的事